karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Freeman Fang (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (KARAF-2167) org.apache.karaf.tooling.exam.container.internal.adaptions.KarafManipulatorFactory creates invalid version qualifier
Date Wed, 20 Feb 2013 06:25:13 GMT

     [ https://issues.apache.org/jira/browse/KARAF-2167?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Freeman Fang resolved KARAF-2167.
---------------------------------

       Resolution: Fixed
    Fix Version/s: 3.0.0
                   2.3.1

apply patch on behalf of Jonathan Anstey with thanks
http://svn.apache.org/r1448013 for trunk
http://svn.apache.org/r1448012 for 2.3.x branch
                
> org.apache.karaf.tooling.exam.container.internal.adaptions.KarafManipulatorFactory creates
invalid version qualifier
> --------------------------------------------------------------------------------------------------------------------
>
>                 Key: KARAF-2167
>                 URL: https://issues.apache.org/jira/browse/KARAF-2167
>             Project: Karaf
>          Issue Type: Bug
>    Affects Versions: 2.3.0
>            Reporter: Jonathan Anstey
>            Assignee: Freeman Fang
>             Fix For: 2.3.1, 3.0.0
>
>         Attachments: KARAF-2167.patch, KARAF-2167.patch.2
>
>
> If you have a custom Karaf version with three dots already (ex. 2.3.0.fuse-71-047), when
KarafManipulatorFactory does karafVersion.replaceFirst("-", "."), it puts a fourth dot in
the qualifier, which is an invalid OSGi version.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message